Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.deployment
Interface DeploymentServiceMBean

All Superinterfaces:
  org.jboss.system.ListenerServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  DeploymentService

public interface DeploymentServiceMBean
extends org.jboss.system.ListenerServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ListenerServiceMBean
`SL_MBEAN_ELEMENT, SL_MBEAN_HANDBACK_ATTRIBUTE, SL_MBEAN_NAME_ATTRIBUTE, SL_NOTIFICATION_ELEMENT, SL_NOTIFICATION_TYPE_ATTRIBUTE, SL_ROOT_ELEMENT`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `createModule(String module, String template, HashMap properties)`
`String` | `createModule(String module, String template, String[] properties)` Used primarily for testing through the jmx-console
`void` | `deployModuleAsynch(String module)`
`String` | `getDeployDir()`
`URL` | `getDeployedURL(String module)`
`String` | `getTemplateDir()`
`List` | `getTemplatePropertyInfo(String template)`
`String` | `getUndeployDir()`
`URL` | `getUndeployedURL(String module)`
`Set` | `listModuleTemplates()`
`void` | `removeModule(String module)`
`void` | `setDeployDir(String deployDir)`
`void` | `setTemplateDir(String templateDir)`
`void` | `setUndeployDir(String undeployDir)`
`void` | `undeployModuleAsynch(String module)`

Methods inherited from interface org.jboss.system.ListenerServiceMBean
`setSubscriptionList`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setTemplateDir

    public void setTemplateDir(String templateDir)

### getTemplateDir

    public String getTemplateDir()

### getUndeployDir

    public String getUndeployDir()

### setUndeployDir

    public void setUndeployDir(String undeployDir)

### getDeployDir

    public String getDeployDir()

### setDeployDir

    public void setDeployDir(String deployDir)

### listModuleTemplates

    public Set listModuleTemplates()

### getTemplatePropertyInfo

    public List getTemplatePropertyInfo(String template)
                                 throws Exception

  Throws:
    `Exception`

### createModule

    public String createModule(String module,
                               String template,
                               HashMap properties)
                        throws Exception

  Throws:
    `Exception`

### createModule

    public String createModule(String module,
                               String template,
                               String[] properties)
                        throws Exception

  Used primarily for testing through the jmx-console

  Throws:
    `Exception`

### removeModule

    public void removeModule(String module)
                      throws Exception

  Throws:
    `Exception`

### deployModuleAsynch

    public void deployModuleAsynch(String module)
                            throws Exception

  Throws:
    `Exception`

### getDeployedURL

    public URL getDeployedURL(String module)
                       throws Exception

  Throws:
    `Exception`

### undeployModuleAsynch

    public void undeployModuleAsynch(String module)
                              throws Exception

  Throws:
    `Exception`

### getUndeployedURL

    public URL getUndeployedURL(String module)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.